%define api 2.2
%define major 2
%define libname %mklibname %{name} %{api} %{major}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A UPnP v2 Media Server
Name:		rygel
Version:	0.22.2
Release:	2
License:	LGPLv2+
Group:		Sound
Url:		https://wiki.gnome.org/Rygel
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
#BuildRequires:	tracker-vala
BuildRequires:	vala >= 0.20.0
BuildRequires:	tracker-devel
BuildRequires:	pkgconfig(gee-0.8) >= 0.8.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.26
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gssdp-1.0) >= 0.13.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-app-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-tag-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-video-1.0) >= 1.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(gupnp-1.0) >= 0.19.0
BuildRequires:	pkgconfig(gupnp-av-1.0) >= 0.11.4
BuildRequires:	pkgconfig(gupnp-dlna-2.0) >= 0.9.4
BuildRequires:	pkgconfig(gupnp-dlna-gst-2.0) >= 0.9.4
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.34.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7
BuildRequires:	pkgconfig(sqlite3) >= 3.5
BuildRequires:	pkgconfig(uuid) >= 1.41.3
Requires:	gnome-icon-theme-symbolic
Requires:	gstreamer1.0-libav
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-ugly
Requires:	shared-mime-info

%description
Rygel is an implementation of the UPnP MediaServer V 2.0 specification that is
specifically designed for GNOME. It is based on GUPnP and is written (mostly)
in Vala language. The project was previously known as gupnp-media-server.

%files -f %{name}.lang
%doc AUTHORS COPYING README TODO NEWS
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-preferences
%dir %{_libdir}/%{name}-%{api}
%dir %{_libdir}/%{name}-%{api}/plugins
%{_libdir}/%{name}-%{api}/plugins/*media-export.*
%{_libdir}/%{name}-%{api}/plugins/*external.*
%{_libdir}/%{name}-%{api}/plugins/*playbin.*
%{_libdir}/%{name}-%{api}/plugins/*mpris.*
%{_libdir}/%{name}-%{api}/plugins/*gst-launch.*
%{_libdir}/%{name}-%{api}/engines/*media-engine-simple.*
%{_libdir}/%{name}-%{api}/engines/*media-engine-gst.*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*
%{_iconsdir}/*/*/*/*
%{_mandir}/man?/*
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%files -n %{libname}
%{_libdir}/lib*-%{api}.so.%{major}
%{_libdir}/lib*-%{api}.so.%{major}.*

#----------------------------------------------------------------------------

%package devel
Summary:	Development package for %{name}
Group:		Development/Other
Requires:	%{name} = %{EVRD}
Requires:	%{libname} = %{EVRD}

%description devel
Files for development with %{name}.

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-*-%{api}.pc
%{_datadir}/gtk-doc/html/*
%{_includedir}/%{name}-%{api}
%{_datadir}/vala/vapi/*

#----------------------------------------------------------------------------

%package tracker
Summary:	Tracker plugin for %{name}
Group:		Sound
Requires:	%{name} = %{version}-%{release}
Requires:	tracker

%description tracker
A plugin for rygel to use tracker to locate media on the local machine.

%files tracker
%{_libdir}/%{name}-%{api}/plugins/*tracker.*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-gst-launch-plugin
%make

%install
%makeinstall_std

%find_lang %{name}

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.22.2-2
+ Revision: 6cfc2c9
- MassBuild#440: Increase release tag


